@import url('https://fonts.googleapis.com/css2?family=Barlow&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Special+Elite&display=swap');

* {
    box-sizing: border-box;
    font-family: Barlow, sans-serif;
}

html {
    height: 98%;
}

body {
    background-image: linear-gradient(45deg, black, rgb(39, 39, 39));
    height: 98%;
    position: relative;
}

h1 {
    font-family: Special Elite, serif;
    color: red;
    text-shadow: 3px 3px black;
}

#wrapper {
    width: 500px;
    margin: auto;
    text-align: center;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

#grid {
    width: 500px;
    margin: auto;
    background-color: lightgray;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    cursor: crosshair;
    caret-color: tan;
    background-image: url(wood.jpg);
    border: 10px solid rgb(78, 36, 19);
}

.square {
    width: 120px;
    height: 120px;
    border: 1px solid black;
    border-radius: 50%;
    margin: 10px;
    background-color: black;
    outline: 5px solid rgba(0, 0, 0, 0.33);
}

.mole {
    background-image: url(mole.jpg);
    background-size: 120px 120px;
    cursor: grab;
}

.board {
    width: 500px;
    margin: auto;
    padding: 20px;
    background-image: linear-gradient(90deg, teal, rgb(0, 158, 158));
    font-size: 24px;
    color: white;
    display: flex;
    justify-content: space-around;
}

select {
    border: none;
    background-color: white;
    font-size: 24px;
}

button {
    border: 1px solid white;
    background: none;
    color: white;
    font-size: 24px;
    cursor: pointer;
}

button:hover {
    background-color: white;
    color: teal;
}

#settings {
    border-radius: 10px 10px 0 0;
}

#scoreboard {
    border-radius: 0 0 10px 10px;
}

#blackout {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .75);
}

#popup {
    position: relative;
    width: 300px;
    margin: auto;
    top: 50%;
    transform: translateY(-50%);
    background-color: teal;
    color: white;
    padding: 25px;
    text-align: center;
    border-radius: 10px;
}
